assignProbAndKappas <-
function(variables, k, metricCent, data, initialCluster)
 {
  res <- NULL
  dat <- data[[1]][, variables]
  if (class(dat) == "numeric")
   {
    dat <- as.data.frame(dat)
    names(dat) <- variables
   }
  mod <- kcca(x = dat, k = initialCluster, family = metricCent, simple = T)
  n <- dim(data[[1]])[1]
  M <- length(data)
  preds <- matrix(nrow = n, ncol = M)
  preds[, 1] <- predict(mod)
  kappas <- rep(NA, M-1)
  for (i in 2:M)
   {
    dat <- data[[i]][, variables]
    if (class(dat) == "numeric")
     {
      dat <- as.data.frame(dat)
      names(dat) <- variables
     }
    mod1 <- kcca(x = dat, k = initialCluster, family = metricCent, simple = T)
    aux <- relabelClusters(refCluster = preds[, 1], Cluster = mod1@cluster)
    preds[, i] <- aux$newCluster
    kappas[i-1] <- aux$kappa
   }
  classMatrix <- matrix(nrow = n, ncol = k)
  for (i in 1:n)
   {
    aux <- preds[i, ]
    for (j in 1:k)
     classMatrix[i, j] <- sum(aux == j)
   }
  classMatrix <- prop.table(classMatrix, 1)
  classMatrix <- as.data.frame(classMatrix)
  names(classMatrix) <- paste("C", 1:k, sep="")
  preds <- as.data.frame(preds)
  names(preds) <- paste("imp", 1:M, sep = "")
  res$classMatrix <- classMatrix
  res$clusterVectors <- preds
  res$kappas <- kappas
  res
 }
