doClusterkmeansBackward <-
function(DataBase, k, metricCent, inertiaPower=1, centPos, initCl, seed)
 {
  set.seed(seed)
  NumberOfPatterns <- sum(duplicated(DataBase) == FALSE) 
  if (NumberOfPatterns < k)
   stop("Number of patterns is less than number of clusters") else {
  res <- NULL
  SelectedSet <- names(DataBase)
  RemovedSet<- NULL
  p <- dim(DataBase)[2]
  ScannedVariables <- 0
  NotScannedVariables <- p
  MaxCritCF <- 0
  Clusters <- list()
  MaxCritCFVector <- vector()
  MinimumPatterns <- TRUE
  if (initCl == "hc")
   {
   	hc <- hclust(dist(DataBase), method="complete")
    cluster <- cutree(hc, k=k) } else {
    cluster <- sample(x=1:k, size=nrow(DataBase), replace=TRUE)
    }
  InitialCentroids <- centroid(DataBase=DataBase, Cluster=cluster, centPos=centPos)
  while (sum(duplicated(InitialCentroids)) > 0) 
   InitialCentroids <- getInitialCentroids(DataBase, k)
  colnames(InitialCentroids) <- names(DataBase)
  mod <- kcca(x=DataBase, k=as.matrix(InitialCentroids), family=metricCent, simple=T)
  Clusters[[p - NotScannedVariables + 1]] <- mod@cluster
  MaxCritCFVector[p - NotScannedVariables + 1] <- getCritCFkcca(mod, inertiaPower=inertiaPower)
  InitialCentroids <- mod@centers
  while (sum(duplicated(InitialCentroids)) > 0) 
   InitialCentroids <- getInitialCentroids(DataBase, k)
  colnames(InitialCentroids) <- names(DataBase)
   }
  while (NotScannedVariables > 0 & MinimumPatterns == TRUE)
   {
    CritCFVector <- vector()  
    AuxClusters <- list()
    for (i in 1:NotScannedVariables)
     {
      dat <- data.frame(DataBase[, SelectedSet[-i]])
      NumberOfPatterns <- sum(duplicated(dat) == FALSE) 
      if (NumberOfPatterns < k)
       {
        CritCFVector[i] <- -1
        AuxClusters[[i]] <- NULL } else { 
        names(dat) <- SelectedSet[-i]
        IniCentroids <- InitialCentroids[, SelectedSet[-i]]
        while (sum(duplicated(IniCentroids) == FALSE) < k) 
		 IniCentroids <- getInitialCentroids(dat, k)
        mod <- kcca(x=dat, k=as.matrix(IniCentroids), family=metricCent, simple=T)
        AuxClusters[[i]] <- mod@cluster  
        CritCFVector[i] <- getCritCFkcca(mod, inertiaPower=inertiaPower)
       }
      }
    MaxCritCFVector[p - NotScannedVariables + 2] <- max(CritCFVector)
    if (max(CritCFVector) == -1)
     {
      Clusters[[p - NotScannedVariables + 2]] <- NULL
      MinimumPatterns <- FALSE } else {
      IdRemovedVariable <- which(CritCFVector==max(CritCFVector))
      if(length(IdRemovedVariable) > 1)
       IdRemovedVariable <- sample(IdRemovedVariable, 1)
      Clusters[[p - NotScannedVariables + 2]] <- AuxClusters[[IdRemovedVariable]]
      RemovedSet<- c(RemovedSet, SelectedSet[IdRemovedVariable])
      SelectedSet <- SelectedSet[-IdRemovedVariable]
      NotScannedVariables <- NotScannedVariables - 1 }                                   
     }
  IdBestSet <- which(MaxCritCFVector==max(MaxCritCFVector)) 
  Cut <- p + 1 - IdBestSet
  SelectOrder <- c(SelectedSet, RemovedSet[length(RemovedSet):1])
  res$SelectedVariables <- SelectOrder[1:Cut]
  res$ClusterVector <- Clusters[[IdBestSet]]
  res$MaxCritCFVector <- MaxCritCFVector[-length(MaxCritCFVector)]
  names(res$ClusterVector) <- NULL
  res$CritCFmax <- max(MaxCritCFVector)
  res
 }
