doClusterkmeansForwardRand <-
function(DataBase, k, metricCent, inertiaPower=1, maxVars, centPos, seed)
 {
  set.seed(seed)
  res <- NULL
  SelectedSet <- NULL
  CandidateSet <- names(DataBase)
  p <- dim(DataBase)[2]
  ScannedVariables <- 0
  NotScannedVariables <- p
  MaxCritCF <- 0
  Clusters <- list()
  MaxCritCFVector <- vector() 
  while (NotScannedVariables > 0 & length(SelectedSet) <= maxVars)
   {
    CritCFVector <- vector()  
    AuxClusters <- list()
    for (i in 1:NotScannedVariables)
     {
      dat <- data.frame(DataBase[, c(SelectedSet, CandidateSet[i])])
      NumberOfPatterns <- sum(duplicated(dat)==FALSE) 
      if (NumberOfPatterns < k)
       {
        CritCFVector[i] <- -1
        AuxClusters[[i]] <- NULL } else { names(dat) <- c(SelectedSet, CandidateSet[i])
                                          cluster <- sample(x=1:k, size=nrow(dat), replace=TRUE)
                                          InitialCentroids <- centroid(DataBase=dat, Cluster=cluster, centPos=centPos)
                                          mod <- kcca(x=dat, k=as.matrix(InitialCentroids), family=metricCent, simple=T)
                                          AuxClusters[[i]] <- mod@cluster
                                          CritCFVector[i] <- getCritCFkcca(mod, inertiaPower=inertiaPower)
                                        }
      }
    MaxCritCFVector[p - NotScannedVariables + 1] <- max(CritCFVector)
    IdSelectedVariable <- which(CritCFVector==max(CritCFVector))
    if(length(IdSelectedVariable) > 1)
     IdSelectedVariable <- sample(IdSelectedVariable, 1) 
    Clusters[[p - NotScannedVariables + 1]] <- AuxClusters[[IdSelectedVariable]]      
    SelectedSet <- c(SelectedSet, CandidateSet[IdSelectedVariable])
    CandidateSet <- CandidateSet[-IdSelectedVariable]
    NotScannedVariables <- NotScannedVariables - 1                                   
     }
  IdBestSet <- which(MaxCritCFVector==max(MaxCritCFVector)) 
  res$SelectedVariables <- SelectedSet[1:IdBestSet]
  res$ClusterVector <- Clusters[[IdBestSet]]
  res$MaxCritCFVector <- MaxCritCFVector
  names(res$ClusterVector) <- NULL
  res$CritCFmax <- max(MaxCritCFVector)
  res$MaxCritCFVector <- MaxCritCFVector
  res
 }
