doClusterkmeansNone <-
function(DataBase, k, metricCent, inertiaPower=1, centPos, initCl, seed)
 {
  set.seed(seed)
  NumberOfPatterns <- sum(duplicated(DataBase) == FALSE) 
  if (NumberOfPatterns < k)
   stop("Number of patterns is less than number of clusters")
  res <- NULL
  if (initCl == "hc")
   {
   	hc <- hclust(dist(DataBase), method="complete")
    cluster <- cutree(hc, k=k) } else {
    cluster <- sample(x=1:k, size=nrow(DataBase), replace=TRUE)
    }
  InitialCentroids <- centroid(DataBase = DataBase, Cluster = cluster, centPos=centPos)
  while (sum(duplicated(InitialCentroids)) > 0) 
   InitialCentroids <- getInitialCentroids(DataBase, k)
  colnames(InitialCentroids) <- names(DataBase)
  mod <- kcca(x = DataBase, k = as.matrix(InitialCentroids), family = metricCent, simple = T)
  ClusterVector <- mod@cluster
  CritCF <- getCritCFkcca(mod, inertiaPower = inertiaPower)
  res$ClusterVector <- ClusterVector
  res$CritCFmax <- CritCF 
  res
 }
