getData <-
function(data)
 {
  if (!inherits(data, "list") && (!inherits(data, "data.frame")))
     stop("argument 'data' must be either a list of data.frames containing the raw data (in the first data.frame) and optionally the imputed data.frames, or a data.frame containing the raw data")

  res <- NULL
  if ((inherits(data, "list") & (length(data) == 1)) | (inherits(data, "data.frame")))
   {
   	res$rawData <- as.data.frame(data)
   	res$impData <- NA } else {
   	classes <- vector()
    for (i in 1:length(data))
     classes[i] <- !inherits(data[[i]], "data.frame")
    if (sum(classes) > 0)
    stop("argument 'data' must contain objects of class 'data.frame'")
    
    rawData <- data[[1]]   
    aux <- data
    aux[[1]] <- NULL
    if (sum(is.na(unlist(aux))) > 0)
     stop("the imputed data sets can't contain missing data")

    M <- length(data) - 1
    aux <- data.frame(n = rep(NA, M+1), p = rep(NA, M+1))
    for (i in 1:nrow(aux))
     aux[i, ] <- dim(data[[i]])
   
    if (sum(duplicated(aux)) != M)
       stop("all data.frames in 'data' must have equal dimension")

    res$rawData <- data[[1]]
    res$impData <- list()
    for (i in 1:M)
     {
      aux <- data[[i+1]]
      aux <- standardizeDataBase(DataBase = aux)
      res$impData[[i]] <- aux
     }
   } 
  class(res) <- c("list", "miData")
  res
 }
