getVariablesFrequency <-
function(x, k = NULL)
 {
  if (!inherits(x, "miclust"))
     stop("argument 'x' must be of class 'miclust'")
        
  if (x$search == "none")
     stop("argument 'x' can't be 'none'")

  if (class(k) != "NULL" && !is.na(k) && (((length(k) != 1L) || (k < 2) || (floor(k) != ceiling(k)))))
   	stop("the number of clusters, 'k' must be a integer greater than 1")

  if (class(k) != "NULL" && !is.na(k) && (k > x$kmax))   	  
     stop(paste("the number of clusters, 'k' can't be greater than the maximum explored number of clusters,", x$kmax))
     
  if (class(k) == "NULL" || is.na(k))
   k <- x$kfin
   
  SelectedVars <- list()
  NumberOfSelectedVariables <- vector()
  m <- length(x$usedImp)
  for (i in 1:m)
   {
    SelectedVars[[i]] <- x$clustering[[i]][[paste("k=", k, sep="")]]$SelectedVariables
    NumberOfSelectedVariables[i] <- length(SelectedVars[[i]])
   }
  SelectedVars <- as.factor(unlist(SelectedVars))
  SelectedVarsSummary <- as.data.frame(sort(summary(SelectedVars), decreasing=TRUE))
  SelectedVarsSummary <- SelectedVarsSummary*100/m
  list(percFreq = SelectedVarsSummary[, 1], varNames = rownames(SelectedVarsSummary))
 }
