print.miclust <-
function(x, ...)
 {
  if (!inherits(x, "miclust"))
   stop("argument 'x' must be of class 'miCluster'")
   
  if (x$M == 0)
   {
    cat("\n")
    cat("   Results for complete cases (", x$completeCasesPerc, "% of cases):\n", sep = "")
    cat("------------------------------------------------\n")
    cat("Explored number of clusters                :", x$ks, "\n")
    cat("Optimal number of clusters                 :", x$kfin, "\n")
    if (x$search != "none")
     cat("Number of selected variables for", x$kfin, "clusters:", x$NumberOfSelectedVars, "\n")
    } else {
   	cat("\n")
    cat("   Results using", length(x$usedImp), "imputations:\n")
    cat("------------------------------------------------\n")
    cat("\n")
    if (x$search == "none")
     {
      res <- data.frame(round(100*x$selectedkdistribution/sum(x$selectedkdistribution), 1))
      names(res) <- "Frequency of selection (%)"
      rownames(res) <- paste("k=", x$ks, sep = "") } else {
      res <- rbind(round(100*x$selectedkdistribution/sum(x$selectedkdistribution), 1), apply(x$NumberOfSelectedVars, 2, median))
      rownames(res) <- c("Frequency of selection (%)", "Median number of selected variables")
      colnames(res) <- paste("k=", colnames(res), sep = "")
     }
    print(res)
  }
 }
