print.summary.miclust <-
function(x, ..., digits = 2)
 {
  if (x$M == 0)
   {
    cat("\n")
    cat("   Results for complete cases (", x$completeCasesPerc, "% of cases) and for ", x$k, " clusters:\n", sep = "")
    cat("---------------------------------------------------------------------\n")
    cat("Selected variables:\n")
    print(x$selectedVariables)
    cat("\n")
    cat("Cluster vector:\n")
    print(x$cluster)
    cat("\n")
    cat("Within-cluster summary:\n", sep="")
    print(x$summaryByCluster, digits = digits)  } else {
    cat("\n")
    cat("   Results using", length(x$usedImp), "imputations for", x$k, "clusters:\n")
    cat("-----------------------------------------------------------\n")
    cat("\n")
    if (x$search != "none")
     {
      cat("Presence of the variables in the subset of selected variables:\n")
      print(x$selectedVarsPresence)
      cat("\n")
      cat("Selected variables:\n")
      print(x$selectedVariables)
      cat("\n")
     }
    cat("Cohen's kappa between-imputations distribution (", length(x$kappas), " comparisons):\n", sep="")
    print(x$kappaDistribution, digits = digits)
    cat("\n")
    cat("Between-imputation clusters size distribution (", 1 + length(x$kappas), " imputations):\n", sep="")
    print(x$clustersSize, digits = digits)
    cat("\n")
    cat("Probability of assignment to the cluster distribution (", 1 + length(x$kappas), " imputations):\n", sep="")
    print(x$allocationProbabilities, digits = digits)
    cat("\n")
    cat("Within-cluster summary (", 1 + length(x$kappas), " imputations):\n", sep="")
    print(x$summaryByCluster, digits = digits)
   }  
 }
