\name{minhanes}
\alias{minhanes}
\docType{data}
\title{Multiple imputation for nhanes data}
\description{A list with 101 data frames. The first data frame contains \code{nhanes} data from \code{mice} package. The remaining data frames are datasets obtained by applying the multiple imputation function \code{mice} from package \code{mice} to the \code{nhanes} data.}
\usage{data(minhanes)}

\format{
   List of 101 data frames each of them with 25 observations of the following 4 variables:
  \describe{
    \item{\code{age}}{Age group (1=20-39, 2=40-59, 3=60+)}
    \item{\code{bmi}}{Body mass index (kg/m^2)}
    \item{\code{hyp}}{Hypertensive (1=no, 2=yes)}
    \item{\code{chl}}{Total serum cholesterol (mg/dL)}
  }
}

\source{http://cran.r-project.org/web/packages/mice/index.html}

\examples{
data(minhanes)
# raw data:
minhanes[[1]]
summary(minhanes[[1]])
# number of imputed datasets:
length(minhanes) - 1
# first imputed dataset:
minhanes[[2]]
summary(minhanes[[2]])
}
\keyword{datasets}
